Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 2872343003: Remove InputMethodEventHandler. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months, 2 weeks ago by Hadi
Modified:
5 months, 1 week ago
CC:
chromium-reviews, kalyank, sadrul
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove InputMethodEventHandler. This change removes InputMethodEventHandler and instead sends the events to IME in WindowEventDispatcher::PreDispatchEvent(). This is a step towards unifying key event processing path in classic ash and mus+ash. BUG=719269 Review-Url: https://codereview.chromium.org/2872343003 Cr-Commit-Position: refs/heads/master@{#472941} Committed: https://chromium.googlesource.com/chromium/src/+/9f9dddf904a9eae86f20d0fa3f68c1881a360d80

Patch Set 1 #

Patch Set 2 : . #

Patch Set 3 : Fix compile error. #

Patch Set 4 : Fix compile error. #

Patch Set 5 : . #

Patch Set 6 : . #

Patch Set 7 : Fix KeyEvent::Clone() #

Patch Set 8 : Add a unittest. #

Total comments: 10

Patch Set 9 : Addressed feedback. #

Patch Set 10 : cleanup. #

Total comments: 5

Patch Set 11 : Addressed feedback. #

Patch Set 12 : cleanup. #

Patch Set 13 : cleanup. #

Patch Set 14 : Fix interactive_ui_tests. #

Patch Set 15 : Fix X11 and Win #

Total comments: 1

Patch Set 16 : addressed feedback. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+42 lines, -275 lines) Patch
M ash/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +0 lines, -2 lines 0 comments Download
M ash/display/window_tree_host_manager.h View 1 3 chunks +0 lines, -6 lines 0 comments Download
M ash/display/window_tree_host_manager.cc View 1 2 3 4 5 6 7 8 9 10 2 chunks +0 lines, -4 lines 0 comments Download
M ash/host/ash_window_tree_host.h View 3 chunks +0 lines, -12 lines 0 comments Download
M ash/host/ash_window_tree_host.cc View 1 chunk +1 line, -1 line 0 comments Download
M ash/host/ash_window_tree_host_platform.h View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -4 lines 0 comments Download
M ash/host/ash_window_tree_host_platform.cc View 1 2 3 4 5 6 7 8 2 chunks +0 lines, -10 lines 0 comments Download
M ash/host/ash_window_tree_host_unified.cc View 1 1 chunk +0 lines, -1 line 0 comments Download
M ash/host/ash_window_tree_host_x11.h View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -4 lines 0 comments Download
M ash/host/ash_window_tree_host_x11.cc View 1 2 3 4 5 6 7 8 2 chunks +0 lines, -10 lines 0 comments Download
D ash/ime/input_method_event_handler.h View 1 1 chunk +0 lines, -42 lines 0 comments Download
D ash/ime/input_method_event_handler.cc View 1 1 chunk +0 lines, -37 lines 0 comments Download
M ash/mus/ash_window_tree_host_mus.h View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -2 lines 0 comments Download
M ash/mus/ash_window_tree_host_mus.cc View 1 2 3 4 5 6 7 8 2 chunks +0 lines, -12 lines 0 comments Download
M ash/shell.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 3 chunks +0 lines, -12 lines 0 comments Download
M ash/test/ash_test_base.cc View 1 2 3 4 5 6 7 8 3 chunks +2 lines, -8 lines 0 comments Download
M extensions/shell/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 1 chunk +0 lines, -2 lines 0 comments Download
D extensions/shell/browser/input_method_event_handler.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +0 lines, -42 lines 0 comments Download
D extensions/shell/browser/input_method_event_handler.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +0 lines, -35 lines 0 comments Download
M extensions/shell/browser/shell_desktop_controller_aura.h View 1 2 3 4 5 6 7 8 9 10 2 chunks +0 lines, -3 lines 0 comments Download
M extensions/shell/browser/shell_desktop_controller_aura.cc View 1 2 3 4 5 6 7 8 9 10 4 chunks +1 line, -19 lines 0 comments Download
M ui/aura/test/aura_test_utils.h View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M ui/aura/test/aura_test_utils.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +6 lines, -0 lines 0 comments Download
M ui/aura/window_event_dispatcher.h View 1 2 3 4 5 6 7 8 9 10 3 chunks +7 lines, -0 lines 0 comments Download
M ui/aura/window_event_dispatcher.cc View 1 2 3 4 5 6 7 8 9 10 4 chunks +14 lines, -0 lines 0 comments Download
M ui/aura/window_tree_host.h View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -2 lines 0 comments Download
M ui/aura/window_tree_host.cc View 1 2 3 4 5 6 7 8 9 10 14 1 chunk +7 lines, -1 line 0 comments Download
M ui/events/test/event_generator.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +0 lines, -2 lines 0 comments Download
M ui/views/widget/desktop_aura/desktop_window_tree_host_win.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +1 line, -1 line 0 comments Download
M ui/views/widget/desktop_aura/desktop_window_tree_host_x11.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +1 line, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 67 (52 generated)
Hadi
PTAL. Thanks. Next step would be SendEventToSink() for key events in WindowTreeClient.
5 months, 1 week ago (2017-05-15 14:33:12 UTC) #23
sadrul
https://codereview.chromium.org/2872343003/diff/140001/ash/host/ash_window_tree_host_platform.cc File ash/host/ash_window_tree_host_platform.cc (right): https://codereview.chromium.org/2872343003/diff/140001/ash/host/ash_window_tree_host_platform.cc#newcode119 ash/host/ash_window_tree_host_platform.cc:119: return SendEventToSink(event); Do you still need this override? https://codereview.chromium.org/2872343003/diff/140001/ash/host/ash_window_tree_host_x11.cc ...
5 months, 1 week ago (2017-05-15 14:44:25 UTC) #24
Hadi
https://codereview.chromium.org/2872343003/diff/140001/ash/host/ash_window_tree_host_platform.cc File ash/host/ash_window_tree_host_platform.cc (right): https://codereview.chromium.org/2872343003/diff/140001/ash/host/ash_window_tree_host_platform.cc#newcode119 ash/host/ash_window_tree_host_platform.cc:119: return SendEventToSink(event); On 2017/05/15 14:44:24, sadrul wrote: > Do ...
5 months, 1 week ago (2017-05-15 17:22:13 UTC) #32
sadrul
The try failures look related. Mind taking a look at those too? https://codereview.chromium.org/2872343003/diff/180001/ui/aura/test/aura_test_utils.cc File ui/aura/test/aura_test_utils.cc ...
5 months, 1 week ago (2017-05-15 18:14:54 UTC) #35
Hadi
Addressed feedback + fixed tests. Also, EventGenerator previously manually sent events to Input Method since ...
5 months, 1 week ago (2017-05-16 14:53:59 UTC) #42
Hadi
PTAL. win_chromium_rel_ng failures seem to be not relevant to this issue as they are failing ...
5 months, 1 week ago (2017-05-17 12:21:15 UTC) #51
moshayedi
On 2017/05/17 12:21:15, Hadi wrote: > PTAL. win_chromium_rel_ng failures seem to be not relevant to ...
5 months, 1 week ago (2017-05-17 21:54:28 UTC) #52
sadrul
lgtm
5 months, 1 week ago (2017-05-17 21:59:15 UTC) #53
moshayedi
sky@ please review ash/*. reillyg@ please review extensions/*.
5 months, 1 week ago (2017-05-18 14:15:43 UTC) #55
Reilly Grant (use Gerrit)
extensions lgtm
5 months, 1 week ago (2017-05-18 15:40:43 UTC) #56
sky
LGTM https://codereview.chromium.org/2872343003/diff/280001/ui/aura/test/aura_test_utils.cc File ui/aura/test/aura_test_utils.cc (right): https://codereview.chromium.org/2872343003/diff/280001/ui/aura/test/aura_test_utils.cc#newcode48 ui/aura/test/aura_test_utils.cc:48: WindowTreeHostTestApi host_test_api(host); optional: don't bother with the local, ...
5 months, 1 week ago (2017-05-18 16:55:08 UTC) #57
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2872343003/300001
5 months, 1 week ago (2017-05-18 17:01:16 UTC) #60
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2872343003/300001
5 months, 1 week ago (2017-05-18 19:31:29 UTC) #63
commit-bot: I haz the power
Committed patchset #16 (id:300001) as https://chromium.googlesource.com/chromium/src/+/9f9dddf904a9eae86f20d0fa3f68c1881a360d80
5 months, 1 week ago (2017-05-18 21:49:49 UTC) #66
yawano
5 months ago (2017-05-26 03:26:16 UTC) #67
Message was sent while issue was closed.
A revert of this CL (patchset #16 id:300001) has been created in
https://codereview.chromium.org/2909603002/ by yawano@chromium.org.

The reason for reverting is: This CL makes TalkBack in Android window unusable.
The issue is that after this CL, key event becomes to go through event rewriter
in Chrome. TalkBack doesn't expect that events are rewritten by Chrome..
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa